.imHeaderButton {
    display: flex;
    width: 40px;
    height: 40px;
    justify-content: center;
    align-items: center;
    border-radius: 100px;
    background: #3C667F;
    padding: 8px;
    box-shadow: 0 1px 18px 0 rgba(0, 0, 0, 0.12), 0 6px 10px 0 rgba(0, 0, 0, 0.14), 0 3px 5px -1px rgba(0, 0, 0, 0.20);
}
.imHeaderButtonOpen {
    background: #7794A5;
    border: 2px solid #3C667F;
}
.imHeaderButtonIcon {
    width: 24px;
    height: 24px;
}
.imHeaderButtonBadge {
    position: absolute;
    width: 10px;
    height: 10px;
    border-radius: 100px;
    border: 1px solid #3C667F;
    background: #D32F2F;
    left: 297px;
    top: 26px;
}
.imHeaderButtonBadgeOpen {
    border: 1px solid #7794A5;
}

.imContainer {
    z-index: 100;
    display: flex;
    position: absolute;
    top: 60px;
    left: 273px;
    width: 400px;
    height: 464px;
    flex-direction: column;
    align-items: flex-start;
    border-radius: 12px;
    background: #3C667F;
    box-shadow: 0 3px 14px 2px rgba(0, 0, 0, 0.12), 0 8px 10px 1px rgba(0, 0, 0, 0.14), 0 5px 5px -3px rgba(0, 0, 0, 0.20);
}

/* INBOX */
.imContainerIHeader {
    display: flex;
    width: 400px;
    height: 48px;
    padding: 8px 16px 0 16px;
    align-items: center;
    gap: 8px;
    align-self: stretch;
}
.imContainerIHeaderTitle {
    color: #FFF;
    font-size: 14px;
    font-weight: 600;
    line-height: 143%;
    letter-spacing: 0.1px;
}

.imContainerIEmpty {
    display: flex;
    height: 340px;
    padding: 16px 0 16px 0;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
    align-self: stretch;
    border-top: 1px solid rgba(255, 255, 255, 0.20);
    border-bottom: 1px solid rgba(255, 255, 255, 0.20);
}
.imContainerIEmptyContent {
    display: flex;
    width: 246px;
    padding-bottom: 72px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
    flex: 1 0 0;
}
.imContainerIEmptyContentIcon {
    width: 40px;
    height: 40px;
}
.imContainerIEmptyLabel1 {
    color: rgba(255, 255, 255, 0.70);
    font-size: 14px;
    font-weight: 600;
    line-height: 143%;
    letter-spacing: 0.1px;
}
.imContainerIEmptyLabel2 {
    color: rgba(255, 255, 255, 0.70);
    font-size: 14px;
    font-weight: 400;
    line-height: 143%;
    letter-spacing: 0.17px;
}

.imContainerIContent {
    display: flex;
    height: 340px;
    padding: 16px;
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
    align-self: stretch;
    border-top: 1px solid rgba(255, 255, 255, 0.20);
    border-bottom: 1px solid rgba(255, 255, 255, 0.20);
}
.imContainerIContentList {
    display: flex;
    flex-direction: column;
    gap: 8px;
}
.imContainerIContentMessage {
    display: flex;
    width: 368px;
    padding: 8px;
    align-items: flex-start;
    gap: 16px;
    border-radius: 12px;
    background: #1D475F;
}
.imContainerIContentMessageL {
    display: flex;
    align-items: flex-start;
    gap: 8px;
    flex: 1 0 0;
}
.imContainerIContentMessageLAvatar {
    display: flex;
    width: 32px;
    height: 32px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 100px;
    background: #7D99AA;
}
.imContainerIContentMessageLAvatarLabel {
    color: #121212;
    text-align: center;
    font-size: 12px;
    font-weight: 400;
    line-height: 12px;
}
.imContainerIContentMessageLContent {
    display: flex;
    width: 232px;
    height: 44px;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    gap: 4px;
    flex: 1 0 0;
}
.imContainerIContentMessageUser {
    color: #FFF;
    font-size: 14px;
    font-weight: 700;
    line-height: 143%;
    letter-spacing: 0.17px;
}
.imContainerIContentMessageText {
    width: 100%;
    color: rgba(255, 255, 255, 0.70);
    text-align: left;
    font-size: 14px;
    font-weight: 400;
    line-height: 143%;
    letter-spacing: 0.17px;
    overflow-wrap: break-word;
    word-break: break-word;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.imContainerIContentMessageR {
    display: flex;
    width: 64px;
    flex-direction: column;
    justify-content: center;
    align-items: flex-end;
    gap: 4px;
    flex-shrink: 0;
}
.imContainerIContentMessageTime {
    color: rgba(255, 255, 255, 0.70);
    font-size: 14px;
    font-weight: 400;
    line-height: 143%;
    letter-spacing: 0.17px;
}
.imContainerIContentMessageRSentIcon {
    width: 20px;
    height: 20px;
}
.imContainerIContentMessageRReadBadge {
    display: flex;
    padding: 0 6.5px;
    justify-content: center;
    align-items: center;
    border-radius: 100px;
    background: #0097A7;
}
.imContainerIContentMessageRReadBadgeLabel {
    color: #FFF;
    font-size: 12px;
    font-weight: 500;
    line-height: 20px;
    letter-spacing: 0.14px;
}

.imContainerIFooter {
    display: flex;
    padding: 16px;
    flex-direction: column;
    align-items: center;
    gap: 8px;
    align-self: stretch;
}
.imContainerIFooterButton {
    display: flex;
    padding: 8px 22px;
    justify-content: center;
    align-items: center;
    gap: 8px;
    border-radius: 20px;
    background: #0097A7;
    box-shadow: 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.20);
}
.imContainerIFooterButtonIcon {
    width: 24px;
    height: 24px;
    flex-shrink: 0;
}
.imContainerIFooterButtonLabel {
    color: #FFF;
    font-size: 16px;
    font-weight: 500;
    line-height: 26px;
    letter-spacing: 0.46px;
}

/* THREAD */
.imContainerTHeader {
    display: flex;
    width: 100%;
    height: 48px;
    padding: 8px 16px 0 16px;
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
    align-self: stretch;
}
.imContainerTHeaderContent {
    display: flex;
    align-items: center;
    gap: 12px;
    align-self: stretch;
}
.imContainerTHeaderContentLeft {
    display: flex;
    align-items: center;
    flex: 1 0 0;
    gap: 5px;
}
.imContainerTHeaderContentLeftBack {
    display: flex;
    height: 30px;
    padding: 5px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    aspect-ratio: 1/1;
    border-radius: 100px;
}
.imContainerTHeaderContentLeftBackIcon {
    width: 20px;
    height: 20px;
}
.imContainerTHeaderContentLeftTitle {
    color: #FFF;
    font-size: 14px;
    font-weight: 600;
    line-height: 143%;
    letter-spacing: 0.1px;
}
.imContainerTHeaderContentDelete {
    display: flex;
    padding: 8px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 100px;
}
.imContainerTHeaderContentDeleteIcon {
    width: 24px;
    height: 24px;
}

.imContainerTEmpty {
    display: flex;
    height: 340px;
    padding: 16px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
    align-self: stretch;
    border-top: 1px solid rgba(255, 255, 255, 0.20);
    border-bottom: 1px solid rgba(255, 255, 255, 0.20);
}
.imContainerTEmptyContent {
    display: flex;
    width: 246px;
    padding-bottom: 72px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
    flex: 1 0 0;
}
.imContainerTEmptyContentIcon {
    width: 40px;
    height: 40px;
}
.imContainerTEmptyLabel1 {
    color: #FFF;
    font-size: 14px;
    font-weight: 600;
    line-height: 143%;
    letter-spacing: 0.1px;
}
.imContainerTEmptyLabel2 {
    color: rgba(255, 255, 255, 0.70);
    font-size: 14px;
    font-weight: 400;
    line-height: 143%;
    letter-spacing: 0.17px;
}

.imContainerTContent {
    display: flex;
    height: 340px;
    padding: 16px;
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
    align-self: stretch;
    border-top: 1px solid rgba(255, 255, 255, 0.20);
    border-bottom: 1px solid rgba(255, 255, 255, 0.20);
}
.imContainerTContentList {
    display: flex;
    flex-direction: column;
    gap: 8px;
}
.imContainerTContentMessageWrapper {
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-self: stretch;
}
.imContainerTContentMessageWrapperR {
    align-items: flex-start;
}
.imContainerTContentMessageWrapperS {
    align-items: flex-end;
}
.imContainerTContentMessage {
    display: flex;
    width: 348px;
    padding: 8px 16px;
    flex-direction: column;
    align-items: flex-start;
    gap: 4px;
    border-radius: 12px;
}
.imContainerTContentMessageR {
    background: #1D475F;
}
.imContainerTContentMessageS {
    background: #00838F;
}
.imContainerTContentMessageText {
    color: #FFF;
    text-align: left;
    font-size: 14px;
    font-weight: 400;
    line-height: 143%;
    letter-spacing: 0.17px;
    overflow-wrap: break-word;
    word-break: break-word;
}
.imContainerTContentMessageTime {
    color: rgba(255, 255, 255, 0.70);
    font-size: 12px;
    font-weight: 400;
    line-height: 12px;
    letter-spacing: 0.15px;
}
.imContainerTContentNewMessage {
    display: flex;
    padding: 8px 0 2px 0;
    justify-content: center;
    align-items: center;
    gap: 10px;
    align-self: stretch;
}
.imContainerTContentNewMessageLabel {
    color: rgba(255, 255, 255, 0.70);
    font-size: 12px;
    font-weight: 700;
    line-height: 12px;
    letter-spacing: 0.15px;
}

.imContainerTFooter {
    display: flex;
    height: 74px;
    padding: 16px;
    flex-direction: column;
    align-items: center;
    gap: 8px;
    align-self: stretch;
}
.imContainerTFooterInput {
    display: block;
    width: 368px;
    height: 42px;
    border: 0;
    color: #FFFFFF;
    text-align: left;
    font-size: 14px;
    font-weight: 400;
    letter-spacing:0.15px;
    line-height: 24px;
    background-color: #265571;
    border-radius: 12px;
    padding: 9px 40px 8px 12px;
}
.imContainerTFooterInput::placeholder {
    color: rgba(255, 255, 255, 0.38);
}
.imContainerTFooterInput:focus {
    outline: none;
    box-shadow: none;
}
.imContainerTFooterSendImg {
    position: absolute;
    width: 24px;
    height: 24px;
    top: 413px;
    left: 348px;
}

/* SEARCH */
.imContainerSHeader {
    display: flex;
    width: 100%;
    height: 48px;
    padding: 8px 16px 0 16px;
    align-items: center;
    gap: 8px;
    flex-shrink: 0;
    align-self: stretch;
}
.imContainerSHeaderBack {
    display: flex;
    height: 30px;
    padding: 5px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    aspect-ratio: 1/1;
    border-radius: 100px;
}
.imContainerSHeaderBackIcon {
    width: 20px;
    height: 20px;
}
.imContainerSHeaderTitle {
    color: #FFF;
    font-size: 14px;
    font-weight: 600;
    line-height: 143%;
    letter-spacing: 0.1px;
}

.imContainerSContent {
    display: flex;
    width: 400px;
    height: 415px;
    padding: 16px;
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
    align-self: stretch;
    border-top: 1px solid rgba(255, 255, 255, 0.20);
}
.imContainerSInput {
    display: block;
    width: 368px;
    height: 42px;
    border: 0;
    color: #FFFFFF;
    text-align: left;
    font-size: 14px;
    font-weight: 400;
    letter-spacing:0.15px;
    line-height: 24px;
    background-color: #265571;
    border-radius: 12px;
    padding: 9px 40px 8px 12px;
}
.imContainerSInput::placeholder {
    color: rgba(255, 255, 255, 0.38);
}
.imContainerSInput:focus {
    outline: none;
    box-shadow: none;
}
.imContainerSSearchImg {
    position: absolute;
    width: 24px;
    height: 24px;
    top: 72px;
    left: 348px;
}
.imContainerSContentList {
    display: flex;
    width: 368px;
    height: 333px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    flex: 1 0 0;
    align-self: stretch;
}
.imContainerSContentListItem {
    display: flex;
    width: 368px;
    height: 46px;
    align-items: center;
    padding: 8px 16px;
    gap: 12px;
}
.imContainerSContentListItem,
.imContainerSContentListItem * {
    cursor: pointer;
}
.imContainerSContentListItem:hover {
    background: rgba(255, 255, 255, 0.08);
}
.imContainerSContentListItemLeft {
    display: flex;
    position: relative;
    height: 24px;
    width: 24px;
    align-items: center;
    border-radius: 100px;
    background: #7D99AA;
}
.imContainerSContentListItemLeftLabel {
    width: 24px;
    color: #121212;
    text-align: center;
    font-size: 12px;
    font-weight: 400;
    line-height: 12px;
    text-transform: uppercase;
}
.imContainerSContentListItemText {
    display: flex;
    width: 258px;
    padding: 4px 0;
    align-items: flex-start;
    color: #FFF;
    font-size: 14px;
    font-weight: 400;
    line-height: 143%;
    letter-spacing: 0.17px;
}